Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptorC.cpp File Reference

`#include "PortableInterceptorC.h"`
`#include "PortableInterceptorC.i"`
`#include "CORBA_String.h"`

Include dependency graph for PortableInterceptorC.cpp:

## Functions
CORBA::TypeCode | _tc_TAO_tc_PortableInterceptor_ForwardRequest ( CORBA::tk_except, sizeof (_oc_PortableInterceptor_ForwardRequest), (char *) &_oc_PortableInterceptor_ForwardRequest, 0, sizeof (PortableInterceptor::ForwardRequest) )
CORBA::TypeCode | _tc_TAO_tc_PortableInterceptor_ReplyStatus ( CORBA::tk_alias, sizeof (_oc_PortableInterceptor_ReplyStatus), (char *) &_oc_PortableInterceptor_ReplyStatus, 0, sizeof (PortableInterceptor::ReplyStatus) )
CORBA::TypeCode | _tc_TAO_tc_PortableInterceptor_SlotId ( CORBA::tk_alias, sizeof (_oc_PortableInterceptor_SlotId), (char *) &_oc_PortableInterceptor_SlotId, 0, sizeof (PortableInterceptor::SlotId) )
CORBA::TypeCode | _tc_TAO_tc_PortableInterceptor_InvalidSlot ( CORBA::tk_except, sizeof (_oc_PortableInterceptor_InvalidSlot), (char *) &_oc_PortableInterceptor_InvalidSlot, 0, sizeof (PortableInterceptor::InvalidSlot) )
void | operator<<= (CORBA::Any &_tao_any, const PortableInterceptor::ForwardRequest &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::ForwardRequest *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableInterceptor::ForwardRequest *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const PortableInterceptor::ForwardRequest *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const PortableInterceptor::InvalidSlot &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::InvalidSlot *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableInterceptor::InvalidSlot *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const PortableInterceptor::InvalidSlot *&_tao_elem)
## Variables
const CORBA::Long | _oc_PortableInterceptor_ForwardRequest []
const CORBA::Long | _oc_PortableInterceptor_ReplyStatus []
const CORBA::Long | _oc_PortableInterceptor_InvalidSlot []

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_PortableInterceptor_ForwardRequest ( | CORBA::tk_except,
| sizeof(_oc_PortableInterceptor_ForwardRequest),
| (char *)& _oc_PortableInterceptor_ForwardRequest,
| 0,
| sizeof(PortableInterceptor::ForwardRequest) )`[static]`

CORBA::TypeCode _tc_TAO_tc_PortableInterceptor_InvalidSlot ( | CORBA::tk_except,
| sizeof(_oc_PortableInterceptor_InvalidSlot),
| (char *)& _oc_PortableInterceptor_InvalidSlot,
| 0,
| sizeof(PortableInterceptor::InvalidSlot) )`[static]`

CORBA::TypeCode _tc_TAO_tc_PortableInterceptor_ReplyStatus ( | CORBA::tk_alias,
| sizeof(_oc_PortableInterceptor_ReplyStatus),
| (char *)& _oc_PortableInterceptor_ReplyStatus,
| 0,
| sizeof(PortableInterceptor::ReplyStatus) )`[static]`

CORBA::TypeCode _tc_TAO_tc_PortableInterceptor_SlotId ( | CORBA::tk_alias,
| sizeof(_oc_PortableInterceptor_SlotId),
| (char *)& _oc_PortableInterceptor_SlotId,
| 0,
| sizeof(PortableInterceptor::SlotId) )`[static]`

void operator<<= ( | CORBA::Any & _tao_any,
| PortableInterceptor::InvalidSlot * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const PortableInterceptor::InvalidSlot & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| PortableInterceptor::ForwardRequest * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const PortableInterceptor::ForwardRequest & _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const PortableInterceptor::InvalidSlot *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| PortableInterceptor::InvalidSlot *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const PortableInterceptor::ForwardRequest *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| PortableInterceptor::ForwardRequest *& _tao_elem )

## Variable Documentation

const CORBA::Long _oc_PortableInterceptor_ForwardRequest[]`[static]`

const CORBA::Long _oc_PortableInterceptor_InvalidSlot[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      40,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x506f7274),
      ACE_NTOHL (0x61626c65),
      ACE_NTOHL (0x496e7465),
      ACE_NTOHL (0x72636570),
      ACE_NTOHL (0x746f722f),
      ACE_NTOHL (0x496e7661),
      ACE_NTOHL (0x6c696453),
      ACE_NTOHL (0x6c6f743a),
      ACE_NTOHL (0x312e3000),
      12,
      ACE_NTOHL (0x496e7661),
      ACE_NTOHL (0x6c696453),
      ACE_NTOHL (0x6c6f7400),
      0,
    }

const CORBA::Long _oc_PortableInterceptor_ReplyStatus[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      40,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x506f7274),
      ACE_NTOHL (0x61626c65),
      ACE_NTOHL (0x496e7465),
      ACE_NTOHL (0x72636570),
      ACE_NTOHL (0x746f722f),
      ACE_NTOHL (0x5265706c),
      ACE_NTOHL (0x79537461),
      ACE_NTOHL (0x7475733a),
      ACE_NTOHL (0x312e3000),
      12,
      ACE_NTOHL (0x5265706c),
      ACE_NTOHL (0x79537461),
      ACE_NTOHL (0x74757300),
      CORBA::tk_short,

    }